Skip to main content
`Ctrl`+`K`

# RG

Region of the complex plane.

## Synopsis

    typedef struct _p_RG* RG;

## See Also

RG: Region, `RGCreate()`

## Level

beginner

## Location

include/slepcrgtypes.h

## Examples

src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
src/eps/tutorials/ex30.c
src/nep/tutorials/ex27.c

## Implementations

_p_RG in include/slepc/private/rgimpl.h
RG_ELLIPSE in src/sys/classes/rg/impls/ellipse/rgellipse.c
RG_INTERVAL in src/sys/classes/rg/impls/interval/rginterval.c
RG_POLYGON in src/sys/classes/rg/impls/polygon/rgpolygon.c
RG_RING in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages